{% extends 'base.html' %}
{% load markdownify %}

{% block mainblock %}
    <main>
        <div>

            <h1>{{project.name}}</h1>
            <p>{{ project.description|markdownify }}</p>

            <h2>Tasks</h2>
            <p><a href="{% url 'create_task' %}">Create a new task</a></p>
            {% if project.tasks.all %}
                <table>
                    <thead>
                        <th>Name</th>
                        <th>Assignee</th>
                        <th>Start date</th>
                        <th>Due date</th>
                        <th>Is completed</th>
                    </thead>

                    <tbody>

                        {% for task in project.tasks.all %}
                            <tr>
                                <td> {{task.name}}</td>
                                <td> {{task.assignee}}</td>
                                <td> {{task.start_date|date:"m/d/Y"}}</td>
                                <td> {{task.due_date|date:"m/d/Y"}}</td>
                                {% if task.is_completed %}
                                    <td>yes</td>
                                {% else %}
                                    <td>no</td>
                                {% endif %}
                            </tr>

                        {% endfor %}

                    </tbody>
                </table>

            {% else %}
                <p>This project has no tasks</p>


            {% endif %}


        </div>
    </main>
{% endblock %}